Executar campanha

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v3/campaign/execute

Dispara a execução de uma campanha ativa, iniciando o envio para os destinatários configurados.

application/json

Body Required

campaignExecuteRequest

  • campaignId integer(int64)
  • data array[object]

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • campaignId integer(int64)
    • executionId integer(int64)
    • message string
    • status string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v3/campaign/execute
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v3/campaign/execute' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"campaignId":42,"data":[{}]}'
Request examples
{
  "campaignId": 42,
  "data": [
    {}
  ]
}
Response examples (200)
{
  "campaignId": 42,
  "executionId": 42,
  "message": "string",
  "status": "string"
}